## NMActiveConnection

NMActiveConnection

## Functions

NMRemoteConnection * | nm_active_connection_get_connection ()
const char * | nm_active_connection_get_id ()
const char * | nm_active_connection_get_uuid ()
const char * | nm_active_connection_get_connection_type ()
const char * | nm_active_connection_get_specific_object_path ()
const GPtrArray * | nm_active_connection_get_devices ()
NMActiveConnectionState | nm_active_connection_get_state ()
NMActivationStateFlags | nm_active_connection_get_state_flags ()
NMActiveConnectionStateReason | nm_active_connection_get_state_reason ()
NMDevice * | nm_active_connection_get_master ()
gboolean | nm_active_connection_get_default ()
NMIPConfig * | nm_active_connection_get_ip4_config ()
NMDhcpConfig * | nm_active_connection_get_dhcp4_config ()
gboolean | nm_active_connection_get_default6 ()
NMIPConfig * | nm_active_connection_get_ip6_config ()
NMDhcpConfig * | nm_active_connection_get_dhcp6_config ()
gboolean | nm_active_connection_get_vpn ()

## Types and Values

#define | NM_ACTIVE_CONNECTION_CONNECTION
#define | NM_ACTIVE_CONNECTION_ID
#define | NM_ACTIVE_CONNECTION_UUID
#define | NM_ACTIVE_CONNECTION_TYPE
#define | NM_ACTIVE_CONNECTION_SPECIFIC_OBJECT_PATH
#define | NM_ACTIVE_CONNECTION_DEVICES
#define | NM_ACTIVE_CONNECTION_STATE
#define | NM_ACTIVE_CONNECTION_STATE_FLAGS
#define | NM_ACTIVE_CONNECTION_DEFAULT
#define | NM_ACTIVE_CONNECTION_IP4_CONFIG
#define | NM_ACTIVE_CONNECTION_DHCP4_CONFIG
#define | NM_ACTIVE_CONNECTION_DEFAULT6
#define | NM_ACTIVE_CONNECTION_IP6_CONFIG
#define | NM_ACTIVE_CONNECTION_DHCP6_CONFIG
#define | NM_ACTIVE_CONNECTION_VPN
#define | NM_ACTIVE_CONNECTION_MASTER

## Description

## Functions

### nm_active_connection_get_connection ()

    NMRemoteConnection *
    nm_active_connection_get_connection (NMActiveConnection *connection);

Gets the NMRemoteConnection associated with `connection` .

#### Parameters

connection | a NMActiveConnection |

#### Returns

the NMRemoteConnection which this NMActiveConnection is an active instance of.

[transfer none]

### nm_active_connection_get_id ()

    const char *
    nm_active_connection_get_id (NMActiveConnection *connection);

Gets the NMConnection's ID.

#### Parameters

connection | a NMActiveConnection |

#### Returns

the ID of the NMConnection that backs the NMActiveConnection. This is the internal string used by the connection, and must not be modified.

### nm_active_connection_get_uuid ()

    const char *
    nm_active_connection_get_uuid (NMActiveConnection *connection);

Gets the NMConnection's UUID.

#### Parameters

connection | a NMActiveConnection |

#### Returns

the UUID of the NMConnection that backs the NMActiveConnection. This is the internal string used by the connection, and must not be modified.

### nm_active_connection_get_connection_type ()

    const char *
    nm_active_connection_get_connection_type
                                   (NMActiveConnection *connection);

Gets the NMConnection's type.

#### Parameters

connection | a NMActiveConnection |

#### Returns

the type of the NMConnection that backs the NMActiveConnection. This is the internal string used by the connection, and must not be modified.

### nm_active_connection_get_specific_object_path ()

    const char *
    nm_active_connection_get_specific_object_path
                                   (NMActiveConnection *connection);

Gets the path of the "specific object" used at activation.

Currently, there is no single method that will allow you to automatically turn this into an appropriate NMObject; you need to know what kind of object it is based on other information. (Eg, if `connection` corresponds to a Wi-Fi connection, then the specific object will be an NMAccessPoint, and you can resolve it with `nm_device_wifi_get_access_point_by_path()`.)

#### Parameters

connection | a NMActiveConnection |

#### Returns

the specific object's D-Bus path. This is the internal string used by the connection, and must not be modified.

### nm_active_connection_get_devices ()

    const GPtrArray *
    nm_active_connection_get_devices (NMActiveConnection *connection);

Gets the NMDevices used for the active connections.

#### Parameters

connection | a NMActiveConnection |

#### Returns

the GPtrArray containing NMDevices. This is the internal copy used by the connection, and must not be modified.

[element-type NMDevice]

### nm_active_connection_get_state ()

    NMActiveConnectionState
    nm_active_connection_get_state (NMActiveConnection *connection);

Gets the active connection's state.

#### Parameters

connection | a NMActiveConnection |

#### Returns

the state

### nm_active_connection_get_state_flags ()

    NMActivationStateFlags
    nm_active_connection_get_state_flags (NMActiveConnection *connection);

Gets the active connection's state flags.

#### Parameters

connection | a NMActiveConnection |

#### Returns

the state flags

Since: 1.10

### nm_active_connection_get_state_reason ()

    NMActiveConnectionStateReason
    nm_active_connection_get_state_reason (NMActiveConnection *connection);

Gets the reason for active connection's state.

#### Parameters

connection | a NMActiveConnection |

#### Returns

the reason

Since: 1.8

### nm_active_connection_get_master ()

    NMDevice *
    nm_active_connection_get_master (NMActiveConnection *connection);

Gets the master NMDevice of the connection.

#### Parameters

connection | a NMActiveConnection |

#### Returns

the master NMDevice of the NMActiveConnection.

[transfer none]

### nm_active_connection_get_default ()

    gboolean
    nm_active_connection_get_default (NMActiveConnection *connection);

Whether the active connection is the default IPv4 one (that is, is used for the default IPv4 route and DNS information).

#### Parameters

connection | a NMActiveConnection |

#### Returns

`TRUE` if the active connection is the default IPv4 connection

### nm_active_connection_get_ip4_config ()

    NMIPConfig *
    nm_active_connection_get_ip4_config (NMActiveConnection *connection);

Gets the current IPv4 NMIPConfig associated with the NMActiveConnection.

#### Parameters

connection | an NMActiveConnection |

#### Returns

the IPv4 NMIPConfig, or `NULL` if the connection is not in the `NM_ACTIVE_CONNECTION_STATE_ACTIVATED` state.

[transfer none]

### nm_active_connection_get_dhcp4_config ()

    NMDhcpConfig *
    nm_active_connection_get_dhcp4_config (NMActiveConnection *connection);

Gets the current IPv4 NMDhcpConfig (if any) associated with the NMActiveConnection.

#### Parameters

connection | an NMActiveConnection |

#### Returns

the IPv4 NMDhcpConfig, or `NULL` if the connection does not use DHCP, or is not in the `NM_ACTIVE_CONNECTION_STATE_ACTIVATED` state.

[transfer none]

### nm_active_connection_get_default6 ()

    gboolean
    nm_active_connection_get_default6 (NMActiveConnection *connection);

Whether the active connection is the default IPv6 one (that is, is used for the default IPv6 route and DNS information).

#### Parameters

connection | a NMActiveConnection |

#### Returns

`TRUE` if the active connection is the default IPv6 connection

### nm_active_connection_get_ip6_config ()

    NMIPConfig *
    nm_active_connection_get_ip6_config (NMActiveConnection *connection);

Gets the current IPv6 NMIPConfig associated with the NMActiveConnection.

#### Parameters

connection | an NMActiveConnection |

#### Returns

the IPv6 NMIPConfig, or `NULL` if the connection is not in the `NM_ACTIVE_CONNECTION_STATE_ACTIVATED` state.

[transfer none]

### nm_active_connection_get_dhcp6_config ()

    NMDhcpConfig *
    nm_active_connection_get_dhcp6_config (NMActiveConnection *connection);

Gets the current IPv6 NMDhcpConfig (if any) associated with the NMActiveConnection.

#### Parameters

connection | an NMActiveConnection |

#### Returns

the IPv6 NMDhcpConfig, or `NULL` if the connection does not use DHCPv6, or is not in the `NM_ACTIVE_CONNECTION_STATE_ACTIVATED` state.

[transfer none]

### nm_active_connection_get_vpn ()

    gboolean
    nm_active_connection_get_vpn (NMActiveConnection *connection);

Whether the active connection is a VPN connection.

#### Parameters

connection | a NMActiveConnection |

#### Returns

`TRUE` if the active connection is a VPN connection

## Types and Values

### NM_ACTIVE_CONNECTION_CONNECTION

    #define NM_ACTIVE_CONNECTION_CONNECTION           "connection"

### NM_ACTIVE_CONNECTION_ID

    #define NM_ACTIVE_CONNECTION_ID                   "id"

### NM_ACTIVE_CONNECTION_UUID

    #define NM_ACTIVE_CONNECTION_UUID                 "uuid"

### NM_ACTIVE_CONNECTION_TYPE

    #define NM_ACTIVE_CONNECTION_TYPE                 "type"

### NM_ACTIVE_CONNECTION_SPECIFIC_OBJECT_PATH

    #define NM_ACTIVE_CONNECTION_SPECIFIC_OBJECT_PATH "specific-object-path"

### NM_ACTIVE_CONNECTION_DEVICES

    #define NM_ACTIVE_CONNECTION_DEVICES              "devices"

### NM_ACTIVE_CONNECTION_STATE

    #define NM_ACTIVE_CONNECTION_STATE                "state"

### NM_ACTIVE_CONNECTION_STATE_FLAGS

    #define NM_ACTIVE_CONNECTION_STATE_FLAGS          "state-flags"

### NM_ACTIVE_CONNECTION_DEFAULT

    #define NM_ACTIVE_CONNECTION_DEFAULT              "default"

### NM_ACTIVE_CONNECTION_IP4_CONFIG

    #define NM_ACTIVE_CONNECTION_IP4_CONFIG           "ip4-config"

### NM_ACTIVE_CONNECTION_DHCP4_CONFIG

    #define NM_ACTIVE_CONNECTION_DHCP4_CONFIG         "dhcp4-config"

### NM_ACTIVE_CONNECTION_DEFAULT6

    #define NM_ACTIVE_CONNECTION_DEFAULT6             "default6"

### NM_ACTIVE_CONNECTION_IP6_CONFIG

    #define NM_ACTIVE_CONNECTION_IP6_CONFIG           "ip6-config"

### NM_ACTIVE_CONNECTION_DHCP6_CONFIG

    #define NM_ACTIVE_CONNECTION_DHCP6_CONFIG         "dhcp6-config"

### NM_ACTIVE_CONNECTION_VPN

    #define NM_ACTIVE_CONNECTION_VPN                  "vpn"

### NM_ACTIVE_CONNECTION_MASTER

    #define NM_ACTIVE_CONNECTION_MASTER               "master"